Subject: Re: [RFC/PATCH v2] create a skeleton for the command git rebase --status

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 May 2015 12:50:58 -0700

Matthieu Moy <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> If this topic enhances 'git status' with the in-progress rebase
>> information, I'd view it as turning 'git status' from 'a more or
>> less useless command during rebase' to 'a useful command'.
>
> For day-to-day operations, what we already have in status already
> qualifies as 'useful command' to me:
>
> $ git status
> rebase in progress; onto 7f9a792
> You are currently rebasing branch 'master' on '7f9a792'.
>   (fix conflicts and then run "git rebase --continue")
>   (use "git rebase --skip" to skip this patch)
>   (use "git rebase --abort" to check out the original branch)

Not really.  How would you decide if 7f9a792 is worth keeping or
rebase is better be aborted without knowing where you are?

> I like the output of "git status" to be concise.

Sure, as long as concise and useful, I am all for it.  The above
however does not show anything I already know in my prompt.  I would
say no thanks to "concise and useless".

> OTOH, there are tons of information in .git/rebase-merge/ that
> could be displayed to the user.

Surely, that is why "git status" during a rebase should show them.